.btn-contact {
    display: inline-block;
    border: 1px solid transparent;
    font-size: 17px;
    font-weight: 700;
    padding: 12px 30px;
    border-radius: 4px;
    color: #fff;
    border: 1px solid transparent;
    background-color: #6262AB;
    cursor: pointer;
    transition: all 300ms linear 0s;
    letter-spacing: 0.5px;
}

.underline {
    text-decoration: underline;
}

.coming-soon-badge {
    position: absolute;
    top: 15px;
    right: 15px;
    width: 130px;
    height: 130px;
    background: linear-gradient(45deg, #81B622, #ECF87F, #81B622);
    color: black;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    border-radius: 50%;
    box-shadow: 0 0 20px rgba(129, 182, 34, 0.8);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    z-index: 999;
    animation: pulse 1.5s infinite alternate, glow 2s infinite alternate, rotateGradient 5s infinite linear;
    border: 3px solid white;
    text-shadow: 1px 1px 5px rgba(255, 255, 255, 0.7);
    padding: 5px;
    line-height: 1.1;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(1.2);
    }
}

@keyframes glow {
    0% {
        box-shadow: 0 0 10px rgba(129, 182, 34, 0.5);
    }

    100% {
        box-shadow: 0 0 30px rgba(236, 248, 127, 1);
    }
}

@keyframes rotateGradient {
    0% {
        background: linear-gradient(45deg, #81B622, #ECF87F, #81B622);
    }

    25% {
        background: linear-gradient(45deg, #ECF87F, #81B622, #ECF87F);
    }

    50% {
        background: linear-gradient(45deg, #81B622, #ECF87F, #81B622);
    }

    75% {
        background: linear-gradient(45deg, #ECF87F, #81B622, #ECF87F);
    }

    100% {
        background: linear-gradient(45deg, #81B622, #ECF87F, #81B622);
    }
}

.image-wrapper {
    position: relative;
    width: 100%;
}

.image-wrapper img {
    width: 100%;
    height: auto;
    display: block;
}

.price-circle {
    position: absolute;
    top: 20px;
    left: 15px;
    width: 130px;
    height: 130px;
    background: #ff5a2a;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    font-weight: bold;
    font-size: 24px;
}

.price-circle::before {
    content: "";
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    bottom: 10px;
    border: 2px dashed white;
    border-radius: 50%;
}

.price-circle span {
    position: relative;
    z-index: 2;
}

@media (max-width: 768px) {

    .price-circle {
        width: 110px;
        height: 110px;
        font-size: 18px;
        top: -25px;
        left: -25px;
    }

}